commit:     1eb2b264d55d3f76f745ff36ef065c08458933fd
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  6 20:51:08 2019 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Wed Feb  6 20:51:08 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1eb2b264

net-irc/anope: Version bump

Non-maintainer commit

Based heavily off of Palme's ebuild in the bug

Closes: https://bugs.gentoo.org/420613
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 net-irc/anope/Manifest              |   1 +
 net-irc/anope/anope-2.0.6.ebuild    | 157 ++++++++++++++++++++++++++++++++++++
 net-irc/anope/files/anope-conf.d-v2 |   9 +++
 net-irc/anope/metadata.xml          |  15 ++++
 4 files changed, 182 insertions(+)

diff --git a/net-irc/anope/Manifest b/net-irc/anope/Manifest
index c166c738a00..3a36b042078 100644
--- a/net-irc/anope/Manifest
+++ b/net-irc/anope/Manifest
@@ -1 +1,2 @@
 DIST anope-1.8.7.tar.gz 1586164 BLAKE2B 
1efc6c9e719bca6698760d4181e2b96fa9aef5999a27af1c9452aea8ae39a5be7009efc14e5e7ad22426b95eb35952724b737d9de911830f3f69f822ebcc914f
 SHA512 
3fb67f73b8f4dbdfbb9b4ac41a20e3b5c46d54cf5abb303f4a25d3a5863ef860ba5bdffc67439e5f1435675f80f86b2c283932c1a05edde2ae49612947fbd074
+DIST anope-2.0.6-source.tar.gz 1792912 BLAKE2B 
00c70723c887821d2dda065f9fdb4c4fc79a1534217dd567c2247c3ae9d0b3c1c07a9e1e9d87bfdf5f7f9be212af5139e29710224e02e80154290dd6d4b5ee7c
 SHA512 
c100758d6159023832bc7a4dceb7d554a9b3cd9120b033efc9a93c7ff28e76a086d0594b66b9cd2946b231421217674990f2a3ebaa8a6598c2a25e2dafd1b65b

diff --git a/net-irc/anope/anope-2.0.6.ebuild b/net-irc/anope/anope-2.0.6.ebuild
new file mode 100644
index 00000000000..aad039abb9b
--- /dev/null
+++ b/net-irc/anope/anope-2.0.6.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils user
+
+DESCRIPTION="Anope IRC Services"
+HOMEPAGE="https://anope.org";
+SRC_URI="https://github.com/anope/anope/releases/download/${PV}/${P}-source.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="mysql sqlite pcre posix gnutls ssl tre ldap anope_modules_sql_auth
+       anope_modules_sql_log anope_modules_sql_oper anope_modules_ldap_auth
+       anope_modules_ldap_oper anope_modules_irc2sql anope_modules_chanstats
+       anope_modules_cs_fantasy_stats anope_modules_cs_fantasy_top"
+
+REQUIRED_USE="
+       anope_modules_sql_auth? ( || ( mysql sqlite ) )
+       anope_modules_sql_oper? ( mysql )
+       anope_modules_sql_log? ( mysql )
+       anope_modules_cs_fantasy_stats? ( anope_modules_chanstats mysql )
+       anope_modules_cs_fantasy_top? ( anope_modules_chanstats mysql )
+       anope_modules_chanstats? ( mysql )
+       anope_modules_irc2sql? ( mysql )
+       anope_modules_ldap_auth? ( ldap )
+       anope_modules_ldap_oper? ( ldap )"
+
+BDEPEND="sys-devel/gettext"
+DEPEND="${BDEPEND}
+       mysql? ( dev-db/mysql-connector-c:0= )
+       ssl? ( dev-libs/openssl:0= )
+       gnutls? ( net-libs/gnutls:0= dev-libs/libgcrypt:0= )
+       ldap? ( net-nds/openldap )
+       pcre? ( dev-libs/libpcre )
+       sqlite? ( dev-db/sqlite:3 )
+       tre? ( dev-libs/tre )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${P}-source"
+
+pkg_pretend() {
+       local replaced_version
+       for replaced_version in ${REPLACING_VERSIONS} ; do
+               if ver_test ${replaced_version} -lt 1.8.7 && [[ -f 
${ROOT}/opt/anope/data/nick.db ]]; then
+                       eerror "It looks like you have an older version of 
Anope installed."
+                       eerror "To upgrade, shut down Anope and copy your 
databases to"
+                       eerror "${ROOT}/var/lib/anope and your configuration to 
${ROOT}/etc/anope"
+                       eerror "You can do this by:"
+                       eerror "# mkdir -p ${ROOT}/var/lib/anope 
${ROOT}/etc/anope"
+                       eerror "# chown anope:anope ${ROOT}/var/lib/anope"
+                       eerror "# mv ${ROOT}/opt/anope/data/*.db 
${ROOT}var/lib/anope"
+                       eerror "# mv ${ROOT}/opt/anope/data/services.conf 
${ROOT}etc/anope"
+                       die "Please move your anope database files from 
/opt/anope/data"
+               fi
+       done
+}
+
+pkg_setup() {
+       enewgroup anope
+       enewuser anope -1 -1 -1 anope
+}
+
+src_prepare() {
+       anope_use_extra() {
+               local useflag=$1
+               local modulefile=$2
+               if use $useflag; then
+                       ln -s "extra/${modulefile}" "modules/" || \
+                               die "Failed to use ${modulefile}"
+               fi
+       }
+
+       anope_use_extra mysql                                   "m_mysql.cpp"
+       anope_use_extra sqlite                                  "m_sqlite.cpp"
+       anope_use_extra ssl                                     
"m_ssl_openssl.cpp"
+       anope_use_extra gnutls                                  
"m_ssl_gnutls.cpp"
+       anope_use_extra posix                                   
"m_regex_posix.cpp"
+       anope_use_extra pcre                                    
"m_regex_pcre.cpp"
+       anope_use_extra tre                                     
"m_regex_tre.cpp"
+       anope_use_extra ldap                                    "m_ldap.cpp"
+       anope_use_extra anope_modules_sql_auth                  
"m_sql_authentication.cpp"
+       anope_use_extra anope_modules_sql_log                   "m_sql_log.cpp"
+       anope_use_extra anope_modules_sql_oper                  "m_sql_oper.cpp"
+       anope_use_extra anope_modules_ldap_auth                 
"m_ldap_authentication.cpp"
+       anope_use_extra anope_modules_ldap_oper                 
"m_ldap_oper.cpp"
+       anope_use_extra anope_modules_chanstats                 
"stats/m_chanstats.cpp"
+       anope_use_extra anope_modules_cs_fantasy_top            
"stats/cs_fantasy_top.cpp"
+       anope_use_extra anope_modules_cs_fantasy_stats          
"stats/cs_fantasy_stats.cpp"
+       anope_use_extra anope_modules_irc2sql                   
"stats/irc2sql/irc2sql.cpp"
+       anope_use_extra anope_modules_irc2sql                   
"stats/irc2sql/irc2sql.h"
+       anope_use_extra anope_modules_irc2sql                   
"stats/irc2sql/tables.cpp"
+       anope_use_extra anope_modules_irc2sql                   
"stats/irc2sql/utils.cpp"
+
+       # Avoid a silly sandbox error - tries to delete /usr/lib/modules
+       sed -i '/install.*REMOVE_RECURSE.*/d' CMakeLists.txt || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBIN_DIR="libexec/anope"
+               -DDB_DIR="../var/lib/anope"
+               -DDOC_DIR="share/doc/${PF}"
+               -DLIB_DIR="$(get_libdir)/anope"
+               -DLOCALE_DIR="share/locale"
+               -DCONF_DIR="/etc/anope"
+               -DLOGS_DIR="../var/log/anope/"
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       newinitd "${FILESDIR}/anope-init.d" "${PN}"
+       cp "${FILESDIR}/anope-conf.d-v2" "${T}" || die
+       sed -i "s~%LIBDIR%~${EPREFIX}/usr/$(get_libdir)/anope/~" \
+                "${T}/anope-conf.d-v2" || die
+       newconfd "${T}/anope-conf.d-v2" "${PN}"
+       dosym ../libexec/anope/services /usr/bin/services
+       dosym ../libexec/anope/anopesmtp /usr/bin/anopesmtp
+       keepdir /var/log/anope /var/lib/anope/backups
+       fowners anope:anope /var/{lib,log}/anope /var/lib/anope/backups
+       dodoc -r docs/* data/example.conf
+       insinto /etc/anope
+       newins data/example.conf services.conf
+       fowners -R anope:anope /etc/anope
+       fperms -R 0700 /etc/anope
+       fperms 0755 /var/log/anope
+       fperms -R 0750 /var/lib/anope
+}
+
+pkg_preinst() {
+       if [[ -n ${REPLACING_VERSIONS} ]] ; then
+               local directory
+               directory="${ROOT}"/var/lib/anope/pre-update
+               elog "Making a backup of your databases to ${directory}"
+               if [ ! -d "${directory}" ]; then
+                       mkdir -p "${directory}" || die "failed to create backup 
directory"
+                       chown anope:anope "${directory}"/../ || die "failed to 
chown data directory"
+               fi
+               # don't die otherwise merge will fail if there are no existing 
databases
+               cp "${ROOT}"/var/lib/anope/*.db "${directory}"
+       fi
+}
+
+pkg_postinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog
+               ewarn "Anope won't run out of the box, you still have to 
configure it to match your IRCD's configuration."
+               ewarn "Edit /etc/anope/services.conf to configure Anope."
+               elog
+       fi
+}

diff --git a/net-irc/anope/files/anope-conf.d-v2 
b/net-irc/anope/files/anope-conf.d-v2
new file mode 100644
index 00000000000..fbe7c3c5017
--- /dev/null
+++ b/net-irc/anope/files/anope-conf.d-v2
@@ -0,0 +1,9 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# user to run ultimate-ircd as
+ANOPE_USER="anope"
+
+# Additional commandline parameters
+ANOPE_OPTS="--confdir=/etc/anope --logdir=/var/log/anope 
--dbdir=/var/lib/anope"
+ANOPE_OPTS="${ANOPE_OPTS} --localedir=/usr/share/locale --modulesdir=%LIBDIR%"

diff --git a/net-irc/anope/metadata.xml b/net-irc/anope/metadata.xml
index 52f9787ecc7..7a4bd9256ef 100644
--- a/net-irc/anope/metadata.xml
+++ b/net-irc/anope/metadata.xml
@@ -4,5 +4,20 @@
        <longdescription>Anope IRC Services</longdescription>
        <upstream>
                <remote-id type="sourceforge">anope</remote-id>
+               <remote-id type="github">anope/anope</remote-id>
        </upstream>
+       <use>
+               <flag name="anope_modules_sql_auth">Authorize through SQL</flag>
+               <flag name="anope_modules_sql_log">Additional log target in 
SQL</flag>
+               <flag name="anope_modules_sql_oper">Allows granting users 
services operator privileges from SQL</flag>
+               <flag name="anope_modules_ldap_auth">Authorize through 
LDAP</flag>
+               <flag name="anope_modules_ldap_oper">Dynamically ties users to 
Anope opertypes via LDAP</flag>
+               <flag name="anope_modules_irc2sql">Stores channel statistics in 
a mysql database</flag>
+               <flag name="anope_modules_chanstats">Channel Statistics</flag>
+               <flag name="anope_modules_cs_fantasy_stats">Enables the STATS 
and GSTATS commands</flag>
+               <flag name="anope_modules_cs_fantasy_top">Enables the (G)TOP 
and  (G)TOP10 commands</flag>
+               <flag name="posix">Add support for POSIX Compatible Regular 
Expressions</flag>
+               <flag name="ssl">Provide SSL services using OpenSSL</flag>
+               <flag name="tre">Use <pkg>dev-libs/tre</pkg> for regular 
expressions</flag>
+       </use>
 </pkgmetadata>

Reply via email to